package visl.rasmus.gui;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

/** This class implements an horizontal separator */
public class Separator extends Canvas {
    public void paint(Graphics g) {
	Dimension d = size();
	g.setColor(new Color(100,100,100));
	g.drawLine(2, d.height/2, d.width-2, d.height/2);
	g.setColor(new Color(230,230,230));
	g.drawLine(2, d.height/2+1, d.width-2, d.height/2+1);
    }
    public Dimension preferredSize() {
	return new Dimension(10,10);
    }
}
