package visl.rasmus.utils;

import java.util.Random;
/** This is a singleton random-number-generator 
 * @author Rasmus Lock Larsen, VISL, August 2001 */
public final class RandomGenerator extends Random {
    private final static RandomGenerator _instance = new RandomGenerator();
    private RandomGenerator() {
	super(System.currentTimeMillis());
    }
    public static RandomGenerator instance() { return _instance; }
}
