package visl.rasmus.hitserver.data;

/**
* Command that executes for all nodes.
*/
public abstract class UnboundCommand implements Visitor
{
	protected TreeNode startNode;
	public UnboundCommand(){}
	public UnboundCommand(TreeNode n){
		startNode = n;
	}
	/** Whether to execute Command on any of node n's children. */
	public boolean goDeeper(TreeNode n) { return true; }
	/** Whether to execute Command on any of node n's siblings. */
	public boolean goWider (TreeNode n) { return n != startNode; }
}
